| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
usbmsdev.c File Reference
`#include "usbmsdev.h"`

Go to the source code of this file.

## Macros
#define | usb_msdev_func usb_device_tasks

## Functions
void | USBDEV_Init (void)
| USB Device example initialization.
void | usb_msdev_func (void)
void | EVENT_USB_Device_Connect (void)
| USB Device connect event callback.
void | EVENT_USB_Device_Disconnect (void)
| USB Device disconnect event callback.
void | EVENT_USB_Device_ConfigurationChanged (void)
| USB Device configuration change event callback.
void | EVENT_USB_Device_ControlRequest (void)
| USB Device control request receive event callback.
bool | CALLBACK_MS_Device_SCSICommandReceived (USB_ClassInfo_MS_Device_t *const MSInterfaceInfo)
| Mass Storage class driver callback for the user processing of a received SCSI command. This callback will fire each time the host sends a SCSI command which requires processing by the user application. Inside this callback the user is responsible for the processing of the received SCSI command from the host. The SCSI command is available in the CommandBlock structure inside the Mass Storage class state structure passed as a parameter to the callback function.

## Variables
USB_ClassInfo_MS_Device_t | Disk_MS_Interface

## Macro Definition Documentation

#define usb_msdev_func usb_device_tasks

Definition at line 185 of file usbmsdev.c.

## Function Documentation

void usb_msdev_func | ( | void |  | ) |

Definition at line 301 of file usbmsdev.c.

## Variable Documentation

USB_ClassInfo_MS_Device_t Disk_MS_Interface

Initial value:
= {
.Config = {
.InterfaceNumber = 0,
.DataINEndpointNumber = MASS_STORAGE_IN_EPNUM,
.DataINEndpointSize = MASS_STORAGE_IO_EPSIZE,
.DataINEndpointDoubleBank = false,
.DataOUTEndpointNumber = MASS_STORAGE_OUT_EPNUM,
.DataOUTEndpointSize = MASS_STORAGE_IO_EPSIZE,
.DataOUTEndpointDoubleBank = false,
.TotalLUNs = TOTAL_LUNS,
.PortNumber = 0,
},
}

nxpUSBlib Mass Storage Class driver interface configuration and state information. This structure is passed to all Mass Storage Class driver functions, so that multiple instances of the same class within a device can be differentiated from one another.

Definition at line 42 of file usbmsdev.c.